```
███████╗██╗   ██╗██████╗ ███████╗██████╗
██╔════╝██║   ██║██╔══██╗██╔════╝██╔══██╗
███████╗██║   ██║██████╔╝█████╗  ██████╔╝
╚════██║██║   ██║██╔═══╝ ██╔══╝  ██╔══██╗
███████║╚██████╔╝██║     ███████╗██║  ██║
╚══════╝ ╚═════╝ ╚═╝     ╚══════╝╚═╝  ╚═╝
██████╗  ██████╗ ██╗    ██╗███████╗██████╗ ███████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗██╔════╝
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝███████╗
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗╚════██║
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║███████║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝╚══════╝
```

### What is JCB Super Powers?
The Joomla Component Builder (JCB) Super Power features are designed to enhance JCB's functionality and streamline the development process. These Super Powers enable developers to efficiently manage and share their custom powers across multiple JCB instances through repositories hosted on [https://git.vdm.dev/[username]/[repository-name]](https://git.vdm.dev). JCB Super Powers are managed using a combination of layers, events, tasks, methods, switches, and algorithms, which work together to provide powerful customization and extensibility options. More details on JCB Super Powers can be found in the [Super Powers Documentation](https://git.vdm.dev/joomla/super-powers/wiki).

In summary, JCB Super Powers offer a flexible and efficient way to manage and share functionalities between JCB instances. By utilizing a sophisticated system of layers, events, tasks, methods, switches, and algorithms, developers can seamlessly integrate JCB core powers and their custom powers. For more information on how to work with JCB Super Powers, refer to the [Super Powers User Guide](https://git.vdm.dev/joomla/super-powers/wiki).

### What can I find here?
This repository contains an index (see below) of all the approved powers within the JCB GUI. During the compilation of a component, these powers are automatically added to the repository, ensuring a well-organized and accessible collection of functionalities.

# Index of powers

- **Namespace**: [VDM\Joomla\Gitea](#vdm-joomla-gitea)

  - **abstract class Factory** | [Details](src/4612af84-5a42-4ea5-87bf-9d79cc19c330) | [Code](src/4612af84-5a42-4ea5-87bf-9d79cc19c330/code.php) | [Settings](src/4612af84-5a42-4ea5-87bf-9d79cc19c330/settings.json) | [4612af84-5a42-4ea5-87bf-9d79cc19c330](src/4612af84-5a42-4ea5-87bf-9d79cc19c330)
  - **class Issue** | [Details](src/5c8f9038-d6e9-4788-96df-45019eafbadb) | [Code](src/5c8f9038-d6e9-4788-96df-45019eafbadb/code.php) | [Settings](src/5c8f9038-d6e9-4788-96df-45019eafbadb/settings.json) | [5c8f9038-d6e9-4788-96df-45019eafbadb](src/5c8f9038-d6e9-4788-96df-45019eafbadb)
  - **class Labels** | [Details](src/ca53d4cb-7800-4ea2-b06e-7466ded91e49) | [Code](src/ca53d4cb-7800-4ea2-b06e-7466ded91e49/code.php) | [Settings](src/ca53d4cb-7800-4ea2-b06e-7466ded91e49/settings.json) | [ca53d4cb-7800-4ea2-b06e-7466ded91e49](src/ca53d4cb-7800-4ea2-b06e-7466ded91e49)
  - **class Notifications** | [Details](src/c8cbc9bd-ee91-403a-8633-0e8b59619a49) | [Code](src/c8cbc9bd-ee91-403a-8633-0e8b59619a49/code.php) | [Settings](src/c8cbc9bd-ee91-403a-8633-0e8b59619a49/settings.json) | [c8cbc9bd-ee91-403a-8633-0e8b59619a49](src/c8cbc9bd-ee91-403a-8633-0e8b59619a49)
  - **class Organization** | [Details](src/8efd9070-7110-4b8e-bb76-cb1a286d5af2) | [Code](src/8efd9070-7110-4b8e-bb76-cb1a286d5af2/code.php) | [Settings](src/8efd9070-7110-4b8e-bb76-cb1a286d5af2/settings.json) | [8efd9070-7110-4b8e-bb76-cb1a286d5af2](src/8efd9070-7110-4b8e-bb76-cb1a286d5af2)
  - **class Package** | [Details](src/b7ec675d-3197-4458-89d6-ca5d4303af8a) | [Code](src/b7ec675d-3197-4458-89d6-ca5d4303af8a/code.php) | [Settings](src/b7ec675d-3197-4458-89d6-ca5d4303af8a/settings.json) | [b7ec675d-3197-4458-89d6-ca5d4303af8a](src/b7ec675d-3197-4458-89d6-ca5d4303af8a)
  - **class Repository** | [Details](src/eb6c050d-7100-42b8-a922-f7e7c78a08c2) | [Code](src/eb6c050d-7100-42b8-a922-f7e7c78a08c2/code.php) | [Settings](src/eb6c050d-7100-42b8-a922-f7e7c78a08c2/settings.json) | [eb6c050d-7100-42b8-a922-f7e7c78a08c2](src/eb6c050d-7100-42b8-a922-f7e7c78a08c2)
  - **class User** | [Details](src/4a5694db-bf3c-439b-bf9c-36a487828787) | [Code](src/4a5694db-bf3c-439b-bf9c-36a487828787/code.php) | [Settings](src/4a5694db-bf3c-439b-bf9c-36a487828787/settings.json) | [4a5694db-bf3c-439b-bf9c-36a487828787](src/4a5694db-bf3c-439b-bf9c-36a487828787)
- **Namespace**: [VDM\Joomla\Componentbuilder\Service](#vdm-joomla-componentbuilder-service)

  - **class Gitea** | [Details](src/71acf8d6-32b8-4173-8277-eb9cda29fd64) | [Code](src/71acf8d6-32b8-4173-8277-eb9cda29fd64/code.php) | [Settings](src/71acf8d6-32b8-4173-8277-eb9cda29fd64/settings.json) | [71acf8d6-32b8-4173-8277-eb9cda29fd64](src/71acf8d6-32b8-4173-8277-eb9cda29fd64)
- **Namespace**: [VDM\Joomla\Gitea\Abstraction](#vdm-joomla-gitea-abstraction)

  - **abstract class Api** | [Details](src/3d7af7a2-dabe-4111-b5fd-c5bfa8755469) | [Code](src/3d7af7a2-dabe-4111-b5fd-c5bfa8755469/code.php) | [Settings](src/3d7af7a2-dabe-4111-b5fd-c5bfa8755469/settings.json) | [3d7af7a2-dabe-4111-b5fd-c5bfa8755469](src/3d7af7a2-dabe-4111-b5fd-c5bfa8755469)
- **Namespace**: [VDM\Joomla\Gitea\Admin](#vdm-joomla-gitea-admin)

  - **class Cron** | [Details](src/6e1a6731-2587-4ad5-8e70-ca83eba65ee0) | [Code](src/6e1a6731-2587-4ad5-8e70-ca83eba65ee0/code.php) | [Settings](src/6e1a6731-2587-4ad5-8e70-ca83eba65ee0/settings.json) | [6e1a6731-2587-4ad5-8e70-ca83eba65ee0](src/6e1a6731-2587-4ad5-8e70-ca83eba65ee0)
  - **class Organizations** | [Details](src/5d42c91a-6e4d-4c26-80d7-1b1d27cb35e0) | [Code](src/5d42c91a-6e4d-4c26-80d7-1b1d27cb35e0/code.php) | [Settings](src/5d42c91a-6e4d-4c26-80d7-1b1d27cb35e0/settings.json) | [5d42c91a-6e4d-4c26-80d7-1b1d27cb35e0](src/5d42c91a-6e4d-4c26-80d7-1b1d27cb35e0)
  - **class Unadopted** | [Details](src/3aba9610-cb22-48e0-b2d7-2a9e708c82e2) | [Code](src/3aba9610-cb22-48e0-b2d7-2a9e708c82e2/code.php) | [Settings](src/3aba9610-cb22-48e0-b2d7-2a9e708c82e2/settings.json) | [3aba9610-cb22-48e0-b2d7-2a9e708c82e2](src/3aba9610-cb22-48e0-b2d7-2a9e708c82e2)
  - **class Users** | [Details](src/e7c810a1-3d6a-42e4-b45f-bee554f259b3) | [Code](src/e7c810a1-3d6a-42e4-b45f-bee554f259b3/code.php) | [Settings](src/e7c810a1-3d6a-42e4-b45f-bee554f259b3/settings.json) | [e7c810a1-3d6a-42e4-b45f-bee554f259b3](src/e7c810a1-3d6a-42e4-b45f-bee554f259b3)
- **Namespace**: [VDM\Joomla\Gitea\Issue](#vdm-joomla-gitea-issue)

  - **class Comments** | [Details](src/22d65693-917d-47c7-ba5c-8e1f354dc713) | [Code](src/22d65693-917d-47c7-ba5c-8e1f354dc713/code.php) | [Settings](src/22d65693-917d-47c7-ba5c-8e1f354dc713/settings.json) | [22d65693-917d-47c7-ba5c-8e1f354dc713](src/22d65693-917d-47c7-ba5c-8e1f354dc713)
  - **class Deadline** | [Details](src/61ddd1b9-4b74-44bd-a7ee-f743cd4c2f69) | [Code](src/61ddd1b9-4b74-44bd-a7ee-f743cd4c2f69/code.php) | [Settings](src/61ddd1b9-4b74-44bd-a7ee-f743cd4c2f69/settings.json) | [61ddd1b9-4b74-44bd-a7ee-f743cd4c2f69](src/61ddd1b9-4b74-44bd-a7ee-f743cd4c2f69)
  - **class Labels** | [Details](src/e819d1a2-4390-432d-be36-3421f2fa861c) | [Code](src/e819d1a2-4390-432d-be36-3421f2fa861c/code.php) | [Settings](src/e819d1a2-4390-432d-be36-3421f2fa861c/settings.json) | [e819d1a2-4390-432d-be36-3421f2fa861c](src/e819d1a2-4390-432d-be36-3421f2fa861c)
  - **class Milestones** | [Details](src/f428beab-10f4-4c0d-bb9e-8c797ed7a7c9) | [Code](src/f428beab-10f4-4c0d-bb9e-8c797ed7a7c9/code.php) | [Settings](src/f428beab-10f4-4c0d-bb9e-8c797ed7a7c9/settings.json) | [f428beab-10f4-4c0d-bb9e-8c797ed7a7c9](src/f428beab-10f4-4c0d-bb9e-8c797ed7a7c9)
  - **class Reactions** | [Details](src/e6c2dee6-54b9-4476-8896-2bfa14a87650) | [Code](src/e6c2dee6-54b9-4476-8896-2bfa14a87650/code.php) | [Settings](src/e6c2dee6-54b9-4476-8896-2bfa14a87650/settings.json) | [e6c2dee6-54b9-4476-8896-2bfa14a87650](src/e6c2dee6-54b9-4476-8896-2bfa14a87650)
  - **class Stopwatch** | [Details](src/a68d1841-65bb-41c8-ac09-cfddf73bb822) | [Code](src/a68d1841-65bb-41c8-ac09-cfddf73bb822/code.php) | [Settings](src/a68d1841-65bb-41c8-ac09-cfddf73bb822/settings.json) | [a68d1841-65bb-41c8-ac09-cfddf73bb822](src/a68d1841-65bb-41c8-ac09-cfddf73bb822)
  - **class Subscriptions** | [Details](src/acca507d-e632-4349-9e3a-9dba5d19fbf9) | [Code](src/acca507d-e632-4349-9e3a-9dba5d19fbf9/code.php) | [Settings](src/acca507d-e632-4349-9e3a-9dba5d19fbf9/settings.json) | [acca507d-e632-4349-9e3a-9dba5d19fbf9](src/acca507d-e632-4349-9e3a-9dba5d19fbf9)
  - **class Timeline** | [Details](src/83bb983b-80d8-44d5-917b-03d3c13742b9) | [Code](src/83bb983b-80d8-44d5-917b-03d3c13742b9/code.php) | [Settings](src/83bb983b-80d8-44d5-917b-03d3c13742b9/settings.json) | [83bb983b-80d8-44d5-917b-03d3c13742b9](src/83bb983b-80d8-44d5-917b-03d3c13742b9)
  - **class Times** | [Details](src/d273c34e-88c1-438b-98c0-801996f58c29) | [Code](src/d273c34e-88c1-438b-98c0-801996f58c29/code.php) | [Settings](src/d273c34e-88c1-438b-98c0-801996f58c29/settings.json) | [d273c34e-88c1-438b-98c0-801996f58c29](src/d273c34e-88c1-438b-98c0-801996f58c29)
- **Namespace**: [VDM\Joomla\Gitea\Miscellaneous](#vdm-joomla-gitea-miscellaneous)

  - **class Activitypub** | [Details](src/9ae44ddd-9d69-4298-a50b-05129cbebb76) | [Code](src/9ae44ddd-9d69-4298-a50b-05129cbebb76/code.php) | [Settings](src/9ae44ddd-9d69-4298-a50b-05129cbebb76/settings.json) | [9ae44ddd-9d69-4298-a50b-05129cbebb76](src/9ae44ddd-9d69-4298-a50b-05129cbebb76)
  - **class Gpg** | [Details](src/5974503e-e56c-488b-bee3-f93b90c781df) | [Code](src/5974503e-e56c-488b-bee3-f93b90c781df/code.php) | [Settings](src/5974503e-e56c-488b-bee3-f93b90c781df/settings.json) | [5974503e-e56c-488b-bee3-f93b90c781df](src/5974503e-e56c-488b-bee3-f93b90c781df)
  - **class Markdown** | [Details](src/8f1a0130-e555-4e6a-9fa8-9b99e30b39fa) | [Code](src/8f1a0130-e555-4e6a-9fa8-9b99e30b39fa/code.php) | [Settings](src/8f1a0130-e555-4e6a-9fa8-9b99e30b39fa/settings.json) | [8f1a0130-e555-4e6a-9fa8-9b99e30b39fa](src/8f1a0130-e555-4e6a-9fa8-9b99e30b39fa)
  - **class NodeInfo** | [Details](src/2cc6543d-b8c7-4bb9-8845-bfae2fb7a71f) | [Code](src/2cc6543d-b8c7-4bb9-8845-bfae2fb7a71f/code.php) | [Settings](src/2cc6543d-b8c7-4bb9-8845-bfae2fb7a71f/settings.json) | [2cc6543d-b8c7-4bb9-8845-bfae2fb7a71f](src/2cc6543d-b8c7-4bb9-8845-bfae2fb7a71f)
  - **class Version** | [Details](src/7fb2cd98-a87d-4f48-9720-033924c69e34) | [Code](src/7fb2cd98-a87d-4f48-9720-033924c69e34/code.php) | [Settings](src/7fb2cd98-a87d-4f48-9720-033924c69e34/settings.json) | [7fb2cd98-a87d-4f48-9720-033924c69e34](src/7fb2cd98-a87d-4f48-9720-033924c69e34)
- **Namespace**: [VDM\Joomla\Gitea\Notifications](#vdm-joomla-gitea-notifications)

  - **class Repository** | [Details](src/3a4ce297-4536-45be-b3cc-d93474e55528) | [Code](src/3a4ce297-4536-45be-b3cc-d93474e55528/code.php) | [Settings](src/3a4ce297-4536-45be-b3cc-d93474e55528/settings.json) | [3a4ce297-4536-45be-b3cc-d93474e55528](src/3a4ce297-4536-45be-b3cc-d93474e55528)
  - **class Thread** | [Details](src/db14e345-c3d9-4dda-8534-4963cd6ca6f5) | [Code](src/db14e345-c3d9-4dda-8534-4963cd6ca6f5/code.php) | [Settings](src/db14e345-c3d9-4dda-8534-4963cd6ca6f5/settings.json) | [db14e345-c3d9-4dda-8534-4963cd6ca6f5](src/db14e345-c3d9-4dda-8534-4963cd6ca6f5)
- **Namespace**: [VDM\Joomla\Gitea\Organization](#vdm-joomla-gitea-organization)

  - **class Hooks** | [Details](src/605d7058-345b-411e-b55d-027edc1ded83) | [Code](src/605d7058-345b-411e-b55d-027edc1ded83/code.php) | [Settings](src/605d7058-345b-411e-b55d-027edc1ded83/settings.json) | [605d7058-345b-411e-b55d-027edc1ded83](src/605d7058-345b-411e-b55d-027edc1ded83)
  - **class Labels** | [Details](src/9c9ba4c4-2039-4396-9ea2-621e42e04c89) | [Code](src/9c9ba4c4-2039-4396-9ea2-621e42e04c89/code.php) | [Settings](src/9c9ba4c4-2039-4396-9ea2-621e42e04c89/settings.json) | [9c9ba4c4-2039-4396-9ea2-621e42e04c89](src/9c9ba4c4-2039-4396-9ea2-621e42e04c89)
  - **class Members** | [Details](src/c1be1e0d-479d-44de-bfe4-cfa4ded7e240) | [Code](src/c1be1e0d-479d-44de-bfe4-cfa4ded7e240/code.php) | [Settings](src/c1be1e0d-479d-44de-bfe4-cfa4ded7e240/settings.json) | [c1be1e0d-479d-44de-bfe4-cfa4ded7e240](src/c1be1e0d-479d-44de-bfe4-cfa4ded7e240)
  - **class PublicMembers** | [Details](src/2a6f99df-a327-4477-8079-f57133e6ff36) | [Code](src/2a6f99df-a327-4477-8079-f57133e6ff36/code.php) | [Settings](src/2a6f99df-a327-4477-8079-f57133e6ff36/settings.json) | [2a6f99df-a327-4477-8079-f57133e6ff36](src/2a6f99df-a327-4477-8079-f57133e6ff36)
  - **class Repository** | [Details](src/aeb42050-90e1-4169-907a-fa6cde20caa4) | [Code](src/aeb42050-90e1-4169-907a-fa6cde20caa4/code.php) | [Settings](src/aeb42050-90e1-4169-907a-fa6cde20caa4/settings.json) | [aeb42050-90e1-4169-907a-fa6cde20caa4](src/aeb42050-90e1-4169-907a-fa6cde20caa4)
  - **class Teams** | [Details](src/9c886ee5-ff14-44c3-a3dd-6a30ebf32ca3) | [Code](src/9c886ee5-ff14-44c3-a3dd-6a30ebf32ca3/code.php) | [Settings](src/9c886ee5-ff14-44c3-a3dd-6a30ebf32ca3/settings.json) | [9c886ee5-ff14-44c3-a3dd-6a30ebf32ca3](src/9c886ee5-ff14-44c3-a3dd-6a30ebf32ca3)
  - **class User** | [Details](src/b3f6728b-8c88-4ee8-9aa0-bcef400a35bf) | [Code](src/b3f6728b-8c88-4ee8-9aa0-bcef400a35bf/code.php) | [Settings](src/b3f6728b-8c88-4ee8-9aa0-bcef400a35bf/settings.json) | [b3f6728b-8c88-4ee8-9aa0-bcef400a35bf](src/b3f6728b-8c88-4ee8-9aa0-bcef400a35bf)
- **Namespace**: [VDM\Joomla\Gitea\Package](#vdm-joomla-gitea-package)

  - **class Files** | [Details](src/4a54c21f-ac3a-4489-b507-636835541a67) | [Code](src/4a54c21f-ac3a-4489-b507-636835541a67/code.php) | [Settings](src/4a54c21f-ac3a-4489-b507-636835541a67/settings.json) | [4a54c21f-ac3a-4489-b507-636835541a67](src/4a54c21f-ac3a-4489-b507-636835541a67)
  - **class Owner** | [Details](src/b5ca512b-f667-4ec6-bc6e-914af41d344a) | [Code](src/b5ca512b-f667-4ec6-bc6e-914af41d344a/code.php) | [Settings](src/b5ca512b-f667-4ec6-bc6e-914af41d344a/settings.json) | [b5ca512b-f667-4ec6-bc6e-914af41d344a](src/b5ca512b-f667-4ec6-bc6e-914af41d344a)
- **Namespace**: [VDM\Joomla\Gitea\Repository](#vdm-joomla-gitea-repository)

  - **class Archive** | [Details](src/8a8fce09-a880-4364-a8c4-4ca337e7e951) | [Code](src/8a8fce09-a880-4364-a8c4-4ca337e7e951/code.php) | [Settings](src/8a8fce09-a880-4364-a8c4-4ca337e7e951/settings.json) | [8a8fce09-a880-4364-a8c4-4ca337e7e951](src/8a8fce09-a880-4364-a8c4-4ca337e7e951)
  - **class Assignees** | [Details](src/66f866a7-f3a0-40ac-ac94-168d60c4a643) | [Code](src/66f866a7-f3a0-40ac-ac94-168d60c4a643/code.php) | [Settings](src/66f866a7-f3a0-40ac-ac94-168d60c4a643/settings.json) | [66f866a7-f3a0-40ac-ac94-168d60c4a643](src/66f866a7-f3a0-40ac-ac94-168d60c4a643)
  - **class Attachments** | [Details](src/68f930bc-d24f-4ade-bcec-576f82c3c13d) | [Code](src/68f930bc-d24f-4ade-bcec-576f82c3c13d/code.php) | [Settings](src/68f930bc-d24f-4ade-bcec-576f82c3c13d/settings.json) | [68f930bc-d24f-4ade-bcec-576f82c3c13d](src/68f930bc-d24f-4ade-bcec-576f82c3c13d)
  - **class Branch** | [Details](src/8fd54ec5-d93e-445c-ae27-80b6052dbddd) | [Code](src/8fd54ec5-d93e-445c-ae27-80b6052dbddd/code.php) | [Settings](src/8fd54ec5-d93e-445c-ae27-80b6052dbddd/settings.json) | [8fd54ec5-d93e-445c-ae27-80b6052dbddd](src/8fd54ec5-d93e-445c-ae27-80b6052dbddd)
  - **class Collaborator** | [Details](src/e5d342ee-caf9-4b29-b7b6-2b81a8ef58cf) | [Code](src/e5d342ee-caf9-4b29-b7b6-2b81a8ef58cf/code.php) | [Settings](src/e5d342ee-caf9-4b29-b7b6-2b81a8ef58cf/settings.json) | [e5d342ee-caf9-4b29-b7b6-2b81a8ef58cf](src/e5d342ee-caf9-4b29-b7b6-2b81a8ef58cf)
  - **class Commits** | [Details](src/daa18d45-3d4a-4280-b58c-147683e8093c) | [Code](src/daa18d45-3d4a-4280-b58c-147683e8093c/code.php) | [Settings](src/daa18d45-3d4a-4280-b58c-147683e8093c/settings.json) | [daa18d45-3d4a-4280-b58c-147683e8093c](src/daa18d45-3d4a-4280-b58c-147683e8093c)
  - **class Contents** | [Details](src/8d1baef6-fcad-49a9-848f-428009cdb989) | [Code](src/8d1baef6-fcad-49a9-848f-428009cdb989/code.php) | [Settings](src/8d1baef6-fcad-49a9-848f-428009cdb989/settings.json) | [8d1baef6-fcad-49a9-848f-428009cdb989](src/8d1baef6-fcad-49a9-848f-428009cdb989)
  - **class Forks** | [Details](src/7fbed5f9-54a2-4001-a0d1-4621034166ef) | [Code](src/7fbed5f9-54a2-4001-a0d1-4621034166ef/code.php) | [Settings](src/7fbed5f9-54a2-4001-a0d1-4621034166ef/settings.json) | [7fbed5f9-54a2-4001-a0d1-4621034166ef](src/7fbed5f9-54a2-4001-a0d1-4621034166ef)
  - **class Gpg** | [Details](src/93f4bc91-946d-447a-ab5a-4f76e0e1a9ce) | [Code](src/93f4bc91-946d-447a-ab5a-4f76e0e1a9ce/code.php) | [Settings](src/93f4bc91-946d-447a-ab5a-4f76e0e1a9ce/settings.json) | [93f4bc91-946d-447a-ab5a-4f76e0e1a9ce](src/93f4bc91-946d-447a-ab5a-4f76e0e1a9ce)
  - **class Hooks** | [Details](src/463ce0a3-65e0-4a08-8bd2-e3bd0a058488) | [Code](src/463ce0a3-65e0-4a08-8bd2-e3bd0a058488/code.php) | [Settings](src/463ce0a3-65e0-4a08-8bd2-e3bd0a058488/settings.json) | [463ce0a3-65e0-4a08-8bd2-e3bd0a058488](src/463ce0a3-65e0-4a08-8bd2-e3bd0a058488)
  - **class Keys** | [Details](src/501fbf08-9f56-4aa0-96d7-5905b511be08) | [Code](src/501fbf08-9f56-4aa0-96d7-5905b511be08/code.php) | [Settings](src/501fbf08-9f56-4aa0-96d7-5905b511be08/settings.json) | [501fbf08-9f56-4aa0-96d7-5905b511be08](src/501fbf08-9f56-4aa0-96d7-5905b511be08)
  - **class Languages** | [Details](src/c140a62c-ea7b-470f-b8ca-83cfbcdd13ba) | [Code](src/c140a62c-ea7b-470f-b8ca-83cfbcdd13ba/code.php) | [Settings](src/c140a62c-ea7b-470f-b8ca-83cfbcdd13ba/settings.json) | [c140a62c-ea7b-470f-b8ca-83cfbcdd13ba](src/c140a62c-ea7b-470f-b8ca-83cfbcdd13ba)
  - **class Media** | [Details](src/c0ee5592-e49f-4937-9b13-f4352afcb430) | [Code](src/c0ee5592-e49f-4937-9b13-f4352afcb430/code.php) | [Settings](src/c0ee5592-e49f-4937-9b13-f4352afcb430/settings.json) | [c0ee5592-e49f-4937-9b13-f4352afcb430](src/c0ee5592-e49f-4937-9b13-f4352afcb430)
  - **class Merge** | [Details](src/0f99429a-b517-40ac-a3c1-34c3ef2f36ee) | [Code](src/0f99429a-b517-40ac-a3c1-34c3ef2f36ee/code.php) | [Settings](src/0f99429a-b517-40ac-a3c1-34c3ef2f36ee/settings.json) | [0f99429a-b517-40ac-a3c1-34c3ef2f36ee](src/0f99429a-b517-40ac-a3c1-34c3ef2f36ee)
  - **class Mirror** | [Details](src/f6249c33-b4bd-4598-8710-0cab230aef94) | [Code](src/f6249c33-b4bd-4598-8710-0cab230aef94/code.php) | [Settings](src/f6249c33-b4bd-4598-8710-0cab230aef94/settings.json) | [f6249c33-b4bd-4598-8710-0cab230aef94](src/f6249c33-b4bd-4598-8710-0cab230aef94)
  - **class Mirrors** | [Details](src/403855fb-668d-464a-af45-8e30b198c9d6) | [Code](src/403855fb-668d-464a-af45-8e30b198c9d6/code.php) | [Settings](src/403855fb-668d-464a-af45-8e30b198c9d6/settings.json) | [403855fb-668d-464a-af45-8e30b198c9d6](src/403855fb-668d-464a-af45-8e30b198c9d6)
  - **class Notes** | [Details](src/cf8fa194-9f83-4a2a-b52b-ede069188afe) | [Code](src/cf8fa194-9f83-4a2a-b52b-ede069188afe/code.php) | [Settings](src/cf8fa194-9f83-4a2a-b52b-ede069188afe/settings.json) | [cf8fa194-9f83-4a2a-b52b-ede069188afe](src/cf8fa194-9f83-4a2a-b52b-ede069188afe)
  - **class Patch** | [Details](src/1dda1c2c-1670-4aea-a6b8-49f0bd03b41e) | [Code](src/1dda1c2c-1670-4aea-a6b8-49f0bd03b41e/code.php) | [Settings](src/1dda1c2c-1670-4aea-a6b8-49f0bd03b41e/settings.json) | [1dda1c2c-1670-4aea-a6b8-49f0bd03b41e](src/1dda1c2c-1670-4aea-a6b8-49f0bd03b41e)
  - **class Pulls** | [Details](src/f56114fd-6804-4ce9-8adb-1d521f023c11) | [Code](src/f56114fd-6804-4ce9-8adb-1d521f023c11/code.php) | [Settings](src/f56114fd-6804-4ce9-8adb-1d521f023c11/settings.json) | [f56114fd-6804-4ce9-8adb-1d521f023c11](src/f56114fd-6804-4ce9-8adb-1d521f023c11)
  - **class Refs** | [Details](src/974d9e4c-beef-4c35-a3c6-92b1dd5b145d) | [Code](src/974d9e4c-beef-4c35-a3c6-92b1dd5b145d/code.php) | [Settings](src/974d9e4c-beef-4c35-a3c6-92b1dd5b145d/settings.json) | [974d9e4c-beef-4c35-a3c6-92b1dd5b145d](src/974d9e4c-beef-4c35-a3c6-92b1dd5b145d)
  - **class Releases** | [Details](src/754d737c-3b6f-43f0-8974-2e06a3daf41e) | [Code](src/754d737c-3b6f-43f0-8974-2e06a3daf41e/code.php) | [Settings](src/754d737c-3b6f-43f0-8974-2e06a3daf41e/settings.json) | [754d737c-3b6f-43f0-8974-2e06a3daf41e](src/754d737c-3b6f-43f0-8974-2e06a3daf41e)
  - **class Remote** | [Details](src/994f4ffe-6030-4bfd-a0b1-4e1aa54bb8cd) | [Code](src/994f4ffe-6030-4bfd-a0b1-4e1aa54bb8cd/code.php) | [Settings](src/994f4ffe-6030-4bfd-a0b1-4e1aa54bb8cd/settings.json) | [994f4ffe-6030-4bfd-a0b1-4e1aa54bb8cd](src/994f4ffe-6030-4bfd-a0b1-4e1aa54bb8cd)
  - **class Reviewers** | [Details](src/65288a04-bcac-4067-ae2b-6fda9f1e3fd5) | [Code](src/65288a04-bcac-4067-ae2b-6fda9f1e3fd5/code.php) | [Settings](src/65288a04-bcac-4067-ae2b-6fda9f1e3fd5/settings.json) | [65288a04-bcac-4067-ae2b-6fda9f1e3fd5](src/65288a04-bcac-4067-ae2b-6fda9f1e3fd5)
  - **class Reviews** | [Details](src/6a2fffb5-63ff-4a96-b458-632a5ff90814) | [Code](src/6a2fffb5-63ff-4a96-b458-632a5ff90814/code.php) | [Settings](src/6a2fffb5-63ff-4a96-b458-632a5ff90814/settings.json) | [6a2fffb5-63ff-4a96-b458-632a5ff90814](src/6a2fffb5-63ff-4a96-b458-632a5ff90814)
  - **class Stargazers** | [Details](src/4b355731-bbcc-430f-a451-f94ff9bb1c20) | [Code](src/4b355731-bbcc-430f-a451-f94ff9bb1c20/code.php) | [Settings](src/4b355731-bbcc-430f-a451-f94ff9bb1c20/settings.json) | [4b355731-bbcc-430f-a451-f94ff9bb1c20](src/4b355731-bbcc-430f-a451-f94ff9bb1c20)
  - **class Statuses** | [Details](src/5f01760a-de24-49f7-b08e-d340c847f86a) | [Code](src/5f01760a-de24-49f7-b08e-d340c847f86a/code.php) | [Settings](src/5f01760a-de24-49f7-b08e-d340c847f86a/settings.json) | [5f01760a-de24-49f7-b08e-d340c847f86a](src/5f01760a-de24-49f7-b08e-d340c847f86a)
  - **class Tags** | [Details](src/caf25475-8c9e-4e07-a7f5-f606e98ec880) | [Code](src/caf25475-8c9e-4e07-a7f5-f606e98ec880/code.php) | [Settings](src/caf25475-8c9e-4e07-a7f5-f606e98ec880/settings.json) | [caf25475-8c9e-4e07-a7f5-f606e98ec880](src/caf25475-8c9e-4e07-a7f5-f606e98ec880)
  - **class Teams** | [Details](src/c7b31fc2-892b-4235-beb2-3413e4432839) | [Code](src/c7b31fc2-892b-4235-beb2-3413e4432839/code.php) | [Settings](src/c7b31fc2-892b-4235-beb2-3413e4432839/settings.json) | [c7b31fc2-892b-4235-beb2-3413e4432839](src/c7b31fc2-892b-4235-beb2-3413e4432839)
  - **class Templates** | [Details](src/8c82b705-04bb-4bd2-ac09-3f590fdf48c2) | [Code](src/8c82b705-04bb-4bd2-ac09-3f590fdf48c2/code.php) | [Settings](src/8c82b705-04bb-4bd2-ac09-3f590fdf48c2/settings.json) | [8c82b705-04bb-4bd2-ac09-3f590fdf48c2](src/8c82b705-04bb-4bd2-ac09-3f590fdf48c2)
  - **class Times** | [Details](src/d7b67b1c-f876-4555-9e54-0645cf519d4c) | [Code](src/d7b67b1c-f876-4555-9e54-0645cf519d4c/code.php) | [Settings](src/d7b67b1c-f876-4555-9e54-0645cf519d4c/settings.json) | [d7b67b1c-f876-4555-9e54-0645cf519d4c](src/d7b67b1c-f876-4555-9e54-0645cf519d4c)
  - **class Topics** | [Details](src/7f852309-122b-42fb-b2f3-ea9e2d405a9c) | [Code](src/7f852309-122b-42fb-b2f3-ea9e2d405a9c/code.php) | [Settings](src/7f852309-122b-42fb-b2f3-ea9e2d405a9c/settings.json) | [7f852309-122b-42fb-b2f3-ea9e2d405a9c](src/7f852309-122b-42fb-b2f3-ea9e2d405a9c)
  - **class Transfer** | [Details](src/04adb831-c257-4657-a2c3-a17096b6b5cf) | [Code](src/04adb831-c257-4657-a2c3-a17096b6b5cf/code.php) | [Settings](src/04adb831-c257-4657-a2c3-a17096b6b5cf/settings.json) | [04adb831-c257-4657-a2c3-a17096b6b5cf](src/04adb831-c257-4657-a2c3-a17096b6b5cf)
  - **class Trees** | [Details](src/78b3346f-c4cf-46b3-941c-656e2d510da0) | [Code](src/78b3346f-c4cf-46b3-941c-656e2d510da0/code.php) | [Settings](src/78b3346f-c4cf-46b3-941c-656e2d510da0/settings.json) | [78b3346f-c4cf-46b3-941c-656e2d510da0](src/78b3346f-c4cf-46b3-941c-656e2d510da0)
  - **class Watchers** | [Details](src/93d704d3-aed8-4ee5-a25e-e7fbfb23b5c7) | [Code](src/93d704d3-aed8-4ee5-a25e-e7fbfb23b5c7/code.php) | [Settings](src/93d704d3-aed8-4ee5-a25e-e7fbfb23b5c7/settings.json) | [93d704d3-aed8-4ee5-a25e-e7fbfb23b5c7](src/93d704d3-aed8-4ee5-a25e-e7fbfb23b5c7)
  - **class Wiki** | [Details](src/572b9567-1893-400b-bd34-f1a45ef7e503) | [Code](src/572b9567-1893-400b-bd34-f1a45ef7e503/code.php) | [Settings](src/572b9567-1893-400b-bd34-f1a45ef7e503/settings.json) | [572b9567-1893-400b-bd34-f1a45ef7e503](src/572b9567-1893-400b-bd34-f1a45ef7e503)
- **Namespace**: [VDM\Joomla\Gitea\Service](#vdm-joomla-gitea-service)

  - **class Admin** | [Details](src/ddced4c5-667d-4559-873d-d716c17fd85b) | [Code](src/ddced4c5-667d-4559-873d-d716c17fd85b/code.php) | [Settings](src/ddced4c5-667d-4559-873d-d716c17fd85b/settings.json) | [ddced4c5-667d-4559-873d-d716c17fd85b](src/ddced4c5-667d-4559-873d-d716c17fd85b)
  - **class Issue** | [Details](src/44396eb8-e14c-47d9-9bdc-8205c0fd2bba) | [Code](src/44396eb8-e14c-47d9-9bdc-8205c0fd2bba/code.php) | [Settings](src/44396eb8-e14c-47d9-9bdc-8205c0fd2bba/settings.json) | [44396eb8-e14c-47d9-9bdc-8205c0fd2bba](src/44396eb8-e14c-47d9-9bdc-8205c0fd2bba)
  - **class Jcb** | [Details](src/d2e997a1-bbf7-4f28-8a7c-ce5c68061cfe) | [Code](src/d2e997a1-bbf7-4f28-8a7c-ce5c68061cfe/code.php) | [Settings](src/d2e997a1-bbf7-4f28-8a7c-ce5c68061cfe/settings.json) | [d2e997a1-bbf7-4f28-8a7c-ce5c68061cfe](src/d2e997a1-bbf7-4f28-8a7c-ce5c68061cfe)
  - **class Miscellaneous** | [Details](src/012af7d0-3436-4cae-b856-be49bdc39a3e) | [Code](src/012af7d0-3436-4cae-b856-be49bdc39a3e/code.php) | [Settings](src/012af7d0-3436-4cae-b856-be49bdc39a3e/settings.json) | [012af7d0-3436-4cae-b856-be49bdc39a3e](src/012af7d0-3436-4cae-b856-be49bdc39a3e)
  - **class Notifications** | [Details](src/be57f70f-1214-4d69-8d33-7cd4e312ff70) | [Code](src/be57f70f-1214-4d69-8d33-7cd4e312ff70/code.php) | [Settings](src/be57f70f-1214-4d69-8d33-7cd4e312ff70/settings.json) | [be57f70f-1214-4d69-8d33-7cd4e312ff70](src/be57f70f-1214-4d69-8d33-7cd4e312ff70)
  - **class Organization** | [Details](src/3d25ea99-4f33-489a-934c-0e42027e6114) | [Code](src/3d25ea99-4f33-489a-934c-0e42027e6114/code.php) | [Settings](src/3d25ea99-4f33-489a-934c-0e42027e6114/settings.json) | [3d25ea99-4f33-489a-934c-0e42027e6114](src/3d25ea99-4f33-489a-934c-0e42027e6114)
  - **class Package** | [Details](src/808da4eb-b467-46cf-a767-e7e714f46b5a) | [Code](src/808da4eb-b467-46cf-a767-e7e714f46b5a/code.php) | [Settings](src/808da4eb-b467-46cf-a767-e7e714f46b5a/settings.json) | [808da4eb-b467-46cf-a767-e7e714f46b5a](src/808da4eb-b467-46cf-a767-e7e714f46b5a)
  - **class Repository** | [Details](src/0bb2b72f-ebcd-46fe-844b-ac5fe715c230) | [Code](src/0bb2b72f-ebcd-46fe-844b-ac5fe715c230/code.php) | [Settings](src/0bb2b72f-ebcd-46fe-844b-ac5fe715c230/settings.json) | [0bb2b72f-ebcd-46fe-844b-ac5fe715c230](src/0bb2b72f-ebcd-46fe-844b-ac5fe715c230)
  - **class Settings** | [Details](src/f4d00907-c94a-49b7-8727-d64c1fa74cf5) | [Code](src/f4d00907-c94a-49b7-8727-d64c1fa74cf5/code.php) | [Settings](src/f4d00907-c94a-49b7-8727-d64c1fa74cf5/settings.json) | [f4d00907-c94a-49b7-8727-d64c1fa74cf5](src/f4d00907-c94a-49b7-8727-d64c1fa74cf5)
  - **class User** | [Details](src/0a69cfc5-3223-4afb-8c9a-75f4bacf3c0e) | [Code](src/0a69cfc5-3223-4afb-8c9a-75f4bacf3c0e/code.php) | [Settings](src/0a69cfc5-3223-4afb-8c9a-75f4bacf3c0e/settings.json) | [0a69cfc5-3223-4afb-8c9a-75f4bacf3c0e](src/0a69cfc5-3223-4afb-8c9a-75f4bacf3c0e)
  - **class Utilities** | [Details](src/6edf0cf3-c2b0-45c9-84d2-c6ef1c5d434c) | [Code](src/6edf0cf3-c2b0-45c9-84d2-c6ef1c5d434c/code.php) | [Settings](src/6edf0cf3-c2b0-45c9-84d2-c6ef1c5d434c/settings.json) | [6edf0cf3-c2b0-45c9-84d2-c6ef1c5d434c](src/6edf0cf3-c2b0-45c9-84d2-c6ef1c5d434c)
- **Namespace**: [VDM\Joomla\Gitea\Settings](#vdm-joomla-gitea-settings)

  - **class Api** | [Details](src/5ca71a00-7b44-4c0d-9955-3af054eed43d) | [Code](src/5ca71a00-7b44-4c0d-9955-3af054eed43d/code.php) | [Settings](src/5ca71a00-7b44-4c0d-9955-3af054eed43d/settings.json) | [5ca71a00-7b44-4c0d-9955-3af054eed43d](src/5ca71a00-7b44-4c0d-9955-3af054eed43d)
  - **class Attachment** | [Details](src/3d4ed24c-8250-4fcf-824f-a5f1597f939e) | [Code](src/3d4ed24c-8250-4fcf-824f-a5f1597f939e/code.php) | [Settings](src/3d4ed24c-8250-4fcf-824f-a5f1597f939e/settings.json) | [3d4ed24c-8250-4fcf-824f-a5f1597f939e](src/3d4ed24c-8250-4fcf-824f-a5f1597f939e)
  - **class Repository** | [Details](src/e7c16db5-bb22-421b-8789-180f6a502b62) | [Code](src/e7c16db5-bb22-421b-8789-180f6a502b62/code.php) | [Settings](src/e7c16db5-bb22-421b-8789-180f6a502b62/settings.json) | [e7c16db5-bb22-421b-8789-180f6a502b62](src/e7c16db5-bb22-421b-8789-180f6a502b62)
  - **class Ui** | [Details](src/0367ac44-18d6-495d-beae-315794ffa89d) | [Code](src/0367ac44-18d6-495d-beae-315794ffa89d/code.php) | [Settings](src/0367ac44-18d6-495d-beae-315794ffa89d/settings.json) | [0367ac44-18d6-495d-beae-315794ffa89d](src/0367ac44-18d6-495d-beae-315794ffa89d)
- **Namespace**: [VDM\Joomla\Gitea\User](#vdm-joomla-gitea-user)

  - **class Applications** | [Details](src/4a9e144e-7754-4d3f-9325-9ff792ce4aef) | [Code](src/4a9e144e-7754-4d3f-9325-9ff792ce4aef/code.php) | [Settings](src/4a9e144e-7754-4d3f-9325-9ff792ce4aef/settings.json) | [4a9e144e-7754-4d3f-9325-9ff792ce4aef](src/4a9e144e-7754-4d3f-9325-9ff792ce4aef)
  - **class Emails** | [Details](src/af4b8b77-d773-42a7-9f54-19de463bc49b) | [Code](src/af4b8b77-d773-42a7-9f54-19de463bc49b/code.php) | [Settings](src/af4b8b77-d773-42a7-9f54-19de463bc49b/settings.json) | [af4b8b77-d773-42a7-9f54-19de463bc49b](src/af4b8b77-d773-42a7-9f54-19de463bc49b)
  - **class Followers** | [Details](src/13931443-bad7-4742-b64e-c08042e7b306) | [Code](src/13931443-bad7-4742-b64e-c08042e7b306/code.php) | [Settings](src/13931443-bad7-4742-b64e-c08042e7b306/settings.json) | [13931443-bad7-4742-b64e-c08042e7b306](src/13931443-bad7-4742-b64e-c08042e7b306)
  - **class Following** | [Details](src/b1788488-f557-4746-9929-73e1d049b4a2) | [Code](src/b1788488-f557-4746-9929-73e1d049b4a2/code.php) | [Settings](src/b1788488-f557-4746-9929-73e1d049b4a2/settings.json) | [b1788488-f557-4746-9929-73e1d049b4a2](src/b1788488-f557-4746-9929-73e1d049b4a2)
  - **class Gpg** | [Details](src/f135ca7f-4d50-4480-a15f-feae1a7982ab) | [Code](src/f135ca7f-4d50-4480-a15f-feae1a7982ab/code.php) | [Settings](src/f135ca7f-4d50-4480-a15f-feae1a7982ab/settings.json) | [f135ca7f-4d50-4480-a15f-feae1a7982ab](src/f135ca7f-4d50-4480-a15f-feae1a7982ab)
  - **class Keys** | [Details](src/c521f8c3-4e01-4c1a-8f68-f3e9d967651d) | [Code](src/c521f8c3-4e01-4c1a-8f68-f3e9d967651d/code.php) | [Settings](src/c521f8c3-4e01-4c1a-8f68-f3e9d967651d/settings.json) | [c521f8c3-4e01-4c1a-8f68-f3e9d967651d](src/c521f8c3-4e01-4c1a-8f68-f3e9d967651d)
  - **class Repos** | [Details](src/fd560f3e-ce19-474f-86ca-1fb1d3af9992) | [Code](src/fd560f3e-ce19-474f-86ca-1fb1d3af9992/code.php) | [Settings](src/fd560f3e-ce19-474f-86ca-1fb1d3af9992/settings.json) | [fd560f3e-ce19-474f-86ca-1fb1d3af9992](src/fd560f3e-ce19-474f-86ca-1fb1d3af9992)
  - **class Settings** | [Details](src/553b8fc5-46cc-49b7-95ce-992a3c5708f8) | [Code](src/553b8fc5-46cc-49b7-95ce-992a3c5708f8/code.php) | [Settings](src/553b8fc5-46cc-49b7-95ce-992a3c5708f8/settings.json) | [553b8fc5-46cc-49b7-95ce-992a3c5708f8](src/553b8fc5-46cc-49b7-95ce-992a3c5708f8)
  - **class Starred** | [Details](src/884b61d0-1f56-4f5f-a657-acaacdb9634b) | [Code](src/884b61d0-1f56-4f5f-a657-acaacdb9634b/code.php) | [Settings](src/884b61d0-1f56-4f5f-a657-acaacdb9634b/settings.json) | [884b61d0-1f56-4f5f-a657-acaacdb9634b](src/884b61d0-1f56-4f5f-a657-acaacdb9634b)
  - **class Subscriptions** | [Details](src/b6e17249-5afc-4bc0-a4aa-8d2241c1ccaf) | [Code](src/b6e17249-5afc-4bc0-a4aa-8d2241c1ccaf/code.php) | [Settings](src/b6e17249-5afc-4bc0-a4aa-8d2241c1ccaf/settings.json) | [b6e17249-5afc-4bc0-a4aa-8d2241c1ccaf](src/b6e17249-5afc-4bc0-a4aa-8d2241c1ccaf)
  - **class Teams** | [Details](src/c3dfbf28-1a28-4fd3-a0b5-12b06ecaadf3) | [Code](src/c3dfbf28-1a28-4fd3-a0b5-12b06ecaadf3/code.php) | [Settings](src/c3dfbf28-1a28-4fd3-a0b5-12b06ecaadf3/settings.json) | [c3dfbf28-1a28-4fd3-a0b5-12b06ecaadf3](src/c3dfbf28-1a28-4fd3-a0b5-12b06ecaadf3)
  - **class Times** | [Details](src/2ccb303f-b115-45fb-b3ea-08a38259681e) | [Code](src/2ccb303f-b115-45fb-b3ea-08a38259681e/code.php) | [Settings](src/2ccb303f-b115-45fb-b3ea-08a38259681e/settings.json) | [2ccb303f-b115-45fb-b3ea-08a38259681e](src/2ccb303f-b115-45fb-b3ea-08a38259681e)
  - **class Tokens** | [Details](src/af49b450-78fb-40bd-8165-48466ebd31a9) | [Code](src/af49b450-78fb-40bd-8165-48466ebd31a9/code.php) | [Settings](src/af49b450-78fb-40bd-8165-48466ebd31a9/settings.json) | [af49b450-78fb-40bd-8165-48466ebd31a9](src/af49b450-78fb-40bd-8165-48466ebd31a9)
- **Namespace**: [VDM\Joomla\Gitea\Utilities](#vdm-joomla-gitea-utilities)

  - **final class Http** | [Details](src/ce40b3d2-226c-4a64-b116-c19455822be1) | [Code](src/ce40b3d2-226c-4a64-b116-c19455822be1/code.php) | [Settings](src/ce40b3d2-226c-4a64-b116-c19455822be1/settings.json) | [ce40b3d2-226c-4a64-b116-c19455822be1](src/ce40b3d2-226c-4a64-b116-c19455822be1)
  - **final class Response** | [Details](src/19eb68d7-1e19-4d14-a0ef-70d719c45e80) | [Code](src/19eb68d7-1e19-4d14-a0ef-70d719c45e80/code.php) | [Settings](src/19eb68d7-1e19-4d14-a0ef-70d719c45e80/settings.json) | [19eb68d7-1e19-4d14-a0ef-70d719c45e80](src/19eb68d7-1e19-4d14-a0ef-70d719c45e80)
  - **final class Uri** | [Details](src/61e813c6-a872-4f55-8078-198241170e80) | [Code](src/61e813c6-a872-4f55-8078-198241170e80/code.php) | [Settings](src/61e813c6-a872-4f55-8078-198241170e80/settings.json) | [61e813c6-a872-4f55-8078-198241170e80](src/61e813c6-a872-4f55-8078-198241170e80)
- **Namespace**: [VDM\Joomla\Gitea\Admin\Users](#vdm-joomla-gitea-admin-users)

  - **class Keys** | [Details](src/2d29b342-cb4a-45f9-9cf1-a7347fbc0701) | [Code](src/2d29b342-cb4a-45f9-9cf1-a7347fbc0701/code.php) | [Settings](src/2d29b342-cb4a-45f9-9cf1-a7347fbc0701/settings.json) | [2d29b342-cb4a-45f9-9cf1-a7347fbc0701](src/2d29b342-cb4a-45f9-9cf1-a7347fbc0701)
  - **class Organization** | [Details](src/0039c453-cf6d-468b-9232-fc3fc13ca0c2) | [Code](src/0039c453-cf6d-468b-9232-fc3fc13ca0c2/code.php) | [Settings](src/0039c453-cf6d-468b-9232-fc3fc13ca0c2/settings.json) | [0039c453-cf6d-468b-9232-fc3fc13ca0c2](src/0039c453-cf6d-468b-9232-fc3fc13ca0c2)
  - **class Repository** | [Details](src/49ae84dc-4474-468f-bf99-c92433fd1cc4) | [Code](src/49ae84dc-4474-468f-bf99-c92433fd1cc4/code.php) | [Settings](src/49ae84dc-4474-468f-bf99-c92433fd1cc4/settings.json) | [49ae84dc-4474-468f-bf99-c92433fd1cc4](src/49ae84dc-4474-468f-bf99-c92433fd1cc4)
- **Namespace**: [VDM\Joomla\Gitea\Issue\Reactions](#vdm-joomla-gitea-issue-reactions)

  - **class Comment** | [Details](src/73b3ebfa-c52a-4a96-a8de-718ff0bbc155) | [Code](src/73b3ebfa-c52a-4a96-a8de-718ff0bbc155/code.php) | [Settings](src/73b3ebfa-c52a-4a96-a8de-718ff0bbc155/settings.json) | [73b3ebfa-c52a-4a96-a8de-718ff0bbc155](src/73b3ebfa-c52a-4a96-a8de-718ff0bbc155)
- **Namespace**: [VDM\Joomla\Gitea\Issue\Repository](#vdm-joomla-gitea-issue-repository)

  - **class Comments** | [Details](src/63fbd482-688a-4356-b3e4-a676ef357100) | [Code](src/63fbd482-688a-4356-b3e4-a676ef357100/code.php) | [Settings](src/63fbd482-688a-4356-b3e4-a676ef357100/settings.json) | [63fbd482-688a-4356-b3e4-a676ef357100](src/63fbd482-688a-4356-b3e4-a676ef357100)
- **Namespace**: [VDM\Joomla\Gitea\Organization\Teams](#vdm-joomla-gitea-organization-teams)

  - **class Members** | [Details](src/d9fa532a-dbe8-445f-93dc-398a3cf01c1e) | [Code](src/d9fa532a-dbe8-445f-93dc-398a3cf01c1e/code.php) | [Settings](src/d9fa532a-dbe8-445f-93dc-398a3cf01c1e/settings.json) | [d9fa532a-dbe8-445f-93dc-398a3cf01c1e](src/d9fa532a-dbe8-445f-93dc-398a3cf01c1e)
  - **class Repository** | [Details](src/07fce5f7-eb13-4dda-8870-77c9ad32a7bf) | [Code](src/07fce5f7-eb13-4dda-8870-77c9ad32a7bf/code.php) | [Settings](src/07fce5f7-eb13-4dda-8870-77c9ad32a7bf/settings.json) | [07fce5f7-eb13-4dda-8870-77c9ad32a7bf](src/07fce5f7-eb13-4dda-8870-77c9ad32a7bf)
- **Namespace**: [VDM\Joomla\Gitea\Repository\Branch](#vdm-joomla-gitea-repository-branch)

  - **class Protection** | [Details](src/0edb3d51-0a65-443b-883d-3d20325212bb) | [Code](src/0edb3d51-0a65-443b-883d-3d20325212bb/code.php) | [Settings](src/0edb3d51-0a65-443b-883d-3d20325212bb/settings.json) | [0edb3d51-0a65-443b-883d-3d20325212bb](src/0edb3d51-0a65-443b-883d-3d20325212bb)
- **Namespace**: [VDM\Joomla\Gitea\Repository\Hooks](#vdm-joomla-gitea-repository-hooks)

  - **class Git** | [Details](src/a11cacb2-c13a-4482-bf71-1b7d99574a98) | [Code](src/a11cacb2-c13a-4482-bf71-1b7d99574a98/code.php) | [Settings](src/a11cacb2-c13a-4482-bf71-1b7d99574a98/settings.json) | [a11cacb2-c13a-4482-bf71-1b7d99574a98](src/a11cacb2-c13a-4482-bf71-1b7d99574a98)

# Class Diagrams

## VDM Joomla Gitea
> namespace VDM\Joomla\Gitea
```uml
@startuml

namespace VDM\Joomla\Gitea #DarkCyan {


  abstract Factory  #Orange {
    # static $container
    + {static} _() : Mixed
    + {static} getContainer() : Container
    # {static} createContainer() : Container
  }

  class Issue  #Gold {
    + list() : ?array
    + get() : ?object
    + create() : ?object
    + search() : ?array
    + edit() : ?object
    + delete() : string
  }

  class Labels  #Gold {
    + create() : ?object
    + get() : ?object
    + delete() : string
    + update() : ?object
  }

  class Notifications  #Gold {
    + list() : ?array
    + update() : ?array
    + check() : ?object
  }

  class Organization  #Gold {
    + create() : ?object
    + get() : ?object
    + list() : ?array
    + delete() : string
    + edit() : ?object
  }

  class Package  #Gold {
    + get() : ?object
    + delete() : string
  }

  class Repository  #Gold {
    + search() : ?object
    + get() : ?object
    + id() : ?object
    + delete() : string
    + edit() : ?object
    + create() : ?object
  }

  class User  #Gold {
    + authenticate() : ?object
    + search() : ?object
    + get() : o
    + followers() : ?array
    + following() : ?array
    + check() : string
    + gpg() : ?array
    + heatmap() : ?array
    + keys() : ?array
    + repos() : ?array
    + watched() : ?array
  }
}


@enduml
```

## VDM Joomla Componentbuilder Service
> namespace VDM\Joomla\Componentbuilder\Service
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Service #Olive {


  class Gitea  #Gold {
    + register() : void
    + getUri() : Uri
    + getHttp() : Http
  }
}


@enduml
```

## VDM Joomla Gitea Abstraction
> namespace VDM\Joomla\Gitea\Abstraction
```uml
@startuml

namespace VDM\Joomla\Gitea\Abstraction #Olive {


  abstract Api  #Orange {
    # Http $http
    # Uri $uri
    # Response $response
    + __construct()
    + load_() : void
  }
}


@enduml
```

## VDM Joomla Gitea Admin
> namespace VDM\Joomla\Gitea\Admin
```uml
@startuml

namespace VDM\Joomla\Gitea\Admin #Olive {


  class Cron  #Gold {
    + list() : ?array
    + run() : string
  }

  class Organizations  #Gold {
    + list() : ?array
  }

  class Unadopted  #Gold {
    + list() : ?array
    + adopt() : string
    + delete() : string
  }

  class Users  #Gold {
    + list() : ?array
    + create() : ?object
    + delete() : string
    + edit() : ?object
  }
}


@enduml
```

## VDM Joomla Gitea Issue
> namespace VDM\Joomla\Gitea\Issue
```uml
@startuml

namespace VDM\Joomla\Gitea\Issue #Olive {


  class Comments  #Gold {
    + list() : ?array
    + get() : ?object
    + delete() : string
    + edit() : ?object
    + add() : ?object
  }

  class Deadline  #Gold {
    + set() : object
  }

  class Labels  #Gold {
    + list() : ?array
    + get() : ?array
    + replace() : object
    + add() : ?array
    + remove() : string
    + clear() : string
  }

  class Milestones  #Gold {
    + create() : ?object
    + list() : ?array
    + get() : ?object
    + delete() : string
    + update() : ?object
  }

  class Reactions  #Gold {
    + list() : ?array
    + add() : ?object
    + remove() : string
  }

  class Stopwatch  #Gold {
    + start() : string
    + stop() : string
    + delete() : string
  }

  class Subscriptions  #Gold {
    + get() : ?object
    + check() : ?object
    + subscribe() : string
    + unsubscribe() : string
  }

  class Timeline  #Gold {
    + get() : ?array
  }

  class Times  #Gold {
    + list() : ?array
    + add() : ?object
    + reset() : string
    + delete() : string
  }
}


@enduml
```

## VDM Joomla Gitea Miscellaneous
> namespace VDM\Joomla\Gitea\Miscellaneous
```uml
@startuml

namespace VDM\Joomla\Gitea\Miscellaneous #Olive {


  class Activitypub  #Gold {
    + get() : ?object
    + send() : string
  }

  class Gpg  #Gold {
    + get() : ?string
  }

  class Markdown  #Gold {
    + render() : ?string
    + raw() : ?string
  }

  class NodeInfo  #Gold {
    + get() : ?object
  }

  class Version  #Gold {
    + get() : ?object
  }
}


@enduml
```

## VDM Joomla Gitea Notifications
> namespace VDM\Joomla\Gitea\Notifications
```uml
@startuml

namespace VDM\Joomla\Gitea\Notifications #Olive {


  class Repository  #Gold {
    + get() : ?array
    + update() : ?array
  }

  class Thread  #Gold {
    + get() : ?object
    + mark() : ?object
  }
}


@enduml
```

## VDM Joomla Gitea Organization
> namespace VDM\Joomla\Gitea\Organization
```uml
@startuml

namespace VDM\Joomla\Gitea\Organization #Olive {


  class Hooks  #Gold {
    + list() : ?array
    + create() : ?object
    + get() : ?object
    + delete() : string
    + update() : ?object
  }

  class Labels  #Gold {
    + list() : ?array
    + create() : ?object
    + get() : ?object
    + delete() : string
    + update() : ?object
  }

  class Members  #Gold {
    + list() : ?array
    + check() : string
    + remove() : string
  }

  class PublicMembers  #Gold {
    + list() : ?array
    + check() : ?string
    + publicize() : ?string
    + conceal() : string
  }

  class Repository  #Gold {
    + list() : ?array
    + create() : ?object
  }

  class Teams  #Gold {
    + list() : ?array
    + get() : ?object
    + create() : ?object
    + search() : ?object
    + delete() : string
    + edit() : ?object
  }

  class User  #Gold {
    + list() : ?array
    + get() : ?array
    + permissions() : ?object
  }
}


@enduml
```

## VDM Joomla Gitea Package
> namespace VDM\Joomla\Gitea\Package
```uml
@startuml

namespace VDM\Joomla\Gitea\Package #Olive {


  class Files  #Gold {
    + get() : ?object
  }

  class Owner  #Gold {
    + get() : ?array
  }
}


@enduml
```

## VDM Joomla Gitea Repository
> namespace VDM\Joomla\Gitea\Repository
```uml
@startuml

namespace VDM\Joomla\Gitea\Repository #Olive {


  class Archive  #Gold {
    + get() : string
  }

  class Assignees  #Gold {
    + get() : ?array
  }

  class Attachments  #Gold {
    + list() : ?array
    + create() : ?object
    + get() : ?object
    + delete() : string
    + edit() : ?object
  }

  class Branch  #Gold {
    + list() : ?array
    + create() : ?object
    + get() : ?object
    + delete() : string
  }

  class Collaborator  #Gold {
    + list() : ?array
    + check() : string
    + add() : string
    + delete() : string
    + permission() : ?object
  }

  class Commits  #Gold {
    + getList() : ?object
    + getCommit() : ?object
    + status() : ?object
    + statuses() : ?array
    + diff() : string
  }

  class Contents  #Gold {
    + get() : mixed
    + metadata() : ?object
    + create() : ?object
    + root() : ?array
    + update() : ?object
    + delete() : ?object
    + editor() : ?string
    + blob() : ?object
  }

  class Forks  #Gold {
    + listForks() : ?array
    + repo() : ?object
  }

  class Gpg  #Gold {
    + get() : string
  }

  class Hooks  #Gold {
    + list() : ?array
    + create() : ?object
    + get() : ?object
    + edit() : ?object
    + test() : string
  }

  class Keys  #Gold {
    + list() : ?array
    + add() : ?object
    + id() : ?object
    + delete() : string
  }

  class Languages  #Gold {
    + getLanguages() : ?object
  }

  class Media  #Gold {
    + get() : string
  }

  class Merge  #Gold {
    + check() : string
    + pull() : string
    + cancel() : string
  }

  class Mirror  #Gold {
    + sync() : string
  }

  class Mirrors  #Gold {
    + get() : ?array
    + add() : ?object
    + sync() : string
    + name() : ?object
    + delete() : string
  }

  class Notes  #Gold {
    + get() : ?object
  }

  class Patch  #Gold {
    + applyDiffPatch() : ?object
  }

  class Pulls  #Gold {
    + list() : ?array
    + create() : ?object
    + get() : ?object
    + update() : ?object
    + diff() : string
    + commits() : ?array
    + files() : ?array
    + merge() : string
    + update() : string
  }

  class Refs  #Gold {
    + list() : ?array
    + get() : ?array
  }

  class Releases  #Gold {
    + list() : ?array
    + create() : ?object
    + get() : ?object
    + delete() : string
    + update() : ?object
    + getByTag() : ?object
    + deleteByTag() : string
  }

  class Remote  #Gold {
    + migrate() : ?object
  }

  class Reviewers  #Gold {
    + request() : ?array
    + cancel() : string
    + get() : ?array
  }

  class Reviews  #Gold {
    + list() : ?array
    + create() : ?object
    + get() : ?object
    + submit() : ?object
    + delete() : string
    + comments() : ?array
    + dismiss() : ?object
    + undismiss() : ?object
  }

  class Stargazers  #Gold {
    + list() : ?array
  }

  class Statuses  #Gold {
    + get() : ?array
    + create() : ?object
  }

  class Tags  #Gold {
    + list() : ?array
    + get() : ?object
    + sha() : ?object
    + create() : ?object
    + delete() : string
  }

  class Teams  #Gold {
    + list() : ?array
    + check() : ?object
    + add() : string
    + delete() : string
  }

  class Templates  #Gold {
    + issue() : ?array
    + repo() : ?object
  }

  class Times  #Gold {
    + list() : ?array
  }

  class Topics  #Gold {
    + get() : ?object
    + replace() : string
    + add() : string
    + delete() : string
    + search() : ?array
  }

  class Transfer  #Gold {
    + create() : ?object
    + accept() : ?object
    + reject() : ?object
  }

  class Trees  #Gold {
    + get() : ?object
  }

  class Watchers  #Gold {
    + list() : ?array
    + check() : ?object
    + watch() : ?object
    + unwatch() : string
  }

  class Wiki  #Gold {
    + create() : ?object
    + get() : ?object
    + pages() : ?array
    + delete() : string
    + edit() : ?object
    + revisions() : ?object
  }
}


@enduml
```

## VDM Joomla Gitea Service
> namespace VDM\Joomla\Gitea\Service
```uml
@startuml

namespace VDM\Joomla\Gitea\Service #Olive {


  class Admin  #Gold {
    + register() : void
    + getCron() : Cron
    + getOrganizations() : Organizations
    + getUnadopted() : Unadopted
    + getUsers() : Users
    + getKeys() : Keys
    + getOrganization() : Organization
    + getRepository() : Repository
  }

  class Issue  #Gold {
    + register() : void
    + getIssue() : Issu
    + getComments() : Comments
    + getRepoComments() : RepoComments
    + getLabels() : Labels
    + getIssueLabels() : IssueLabels
    + getMilestones() : Milestones
    + getReactions() : Reactions
    + getComment() : Comment
    + getStopwatch() : Stopwatch
    + getSubscriptions() : Subscriptions
    + getTimeline() : Timeline
    + getTimes() : Times
  }

  class Jcb  #Gold {
    + register() : void
    + getUri() : Uri
    + getHttp() : Http
  }

  class Miscellaneous  #Gold {
    + register() : void
    + getActivitypub() : Activitypub
    + getGpg() : Gpg
    + getMarkdown() : Markdown
    + getNodeInfo() : NodeInfo
    + getVersion() : Version
  }

  class Notifications  #Gold {
    + register() : void
    + getNotifications() : Notifi
    + getRepository() : Repository
    + getThread() : Thread
  }

  class Organization  #Gold {
    + register() : void
    + getOrganization() : Org
    + getHooks() : Hooks
    + getLabels() : Labels
    + getMembers() : Members
    + getPublicMembers() : PublicMembers
    + getRepository() : Repository
    + getTeams() : Teams
    + getTeamsMembers() : TeamsMembers
    + getTeamsRepository() : TeamsRepository
    + getUser() : User
  }

  class Package  #Gold {
    + register() : void
    + getPackage() : Pack
    + getFiles() : Files
    + getOwner() : Owner
  }

  class Repository  #Gold {
    + register() : void
    + getRepository() : Repo
    + getArchive() : Archive
    + getAssignees() : Assignees
    + getAttachments() : Attachments
    + getBranch() : Branch
    + getProtection() : Protection
    + getCollaborator() : Collaborator
    + getCommits() : Commits
    + getContents() : Contents
    + getForks() : Forks
    + getGpg() : Gpg
    + getHooks() : Hooks
    + getGit() : Git
    + getKeys() : Keys
    + getLanguages() : Languages
    + getMedia() : Media
    + getMerge() : Merge
    + getMirror() : Mirror
    + getMirrors() : Mirrors
    + getNotes() : Notes
    + getPatch() : Patch
    + getPulls() : Pulls
    + getRefs() : Refs
    + getReleases() : Releases
    + getRemote() : Remote
    + getReviewers() : Reviewers
    + getReviews() : Reviews
    + getStargazers() : Stargazers
    + getStatuses() : Statuses
    + getTags() : Tags
    + getTeams() : Teams
    + getTemplates() : Templates
    + getTimes() : Times
    + getTopics() : Topics
    + getTransfer() : Transfer
    + getTrees() : Trees
    + getWatchers() : Watchers
    + getWiki() : Wiki
  }

  class Settings  #Gold {
    + register() : void
    + getApi() : Api
    + getAttachment() : Attachment
    + getRepository() : Repository
    + getUi() : Ui
  }

  class User  #Gold {
    + register() : void
    + getUser() : Usr
    + getApplications() : Applications
    + getEmails() : Emails
    + getFollowers() : Followers
    + getFollowing() : Following
    + getGpg() : Gpg
    + getKeys() : Keys
    + getRepos() : Repos
    + getSettings() : Settings
    + getStarred() : Starred
    + getSubscriptions() : Subscriptions
    + getTeams() : Teams
    + getTimes() : Times
    + getTokens() : Tokens
  }

  class Utilities  #Gold {
    + register() : void
    + getUri() : Uri
    + getResponse() : Response
  }
}


@enduml
```

## VDM Joomla Gitea Settings
> namespace VDM\Joomla\Gitea\Settings
```uml
@startuml

namespace VDM\Joomla\Gitea\Settings #Olive {


  class Api  #Gold {
    + get() : ?object
  }

  class Attachment  #Gold {
    + get() : ?object
  }

  class Repository  #Gold {
    + get() : ?object
  }

  class Ui  #Gold {
    + get() : ?object
  }
}


@enduml
```

## VDM Joomla Gitea User
> namespace VDM\Joomla\Gitea\User
```uml
@startuml

namespace VDM\Joomla\Gitea\User #Olive {


  class Applications  #Gold {
    + get() : ?array
    + id() : ?object
    + create() : ?object
    + delete() : string
    + update() : ?object
  }

  class Emails  #Gold {
    + list() : ?array
    + add() : ?array
    + delete() : string
  }

  class Followers  #Gold {
    + list() : ?array
  }

  class Following  #Gold {
    + list() : ?array
    + check() : bool
    + follow() : string
    + unfollow() : string
  }

  class Gpg  #Gold {
    + createGPGKey() : ?object
    + get() : ?object
    + token() : ?string
    + verify() : ?object
    + list() : ?array
    + remove() : string
  }

  class Keys  #Gold {
    + create() : ?object
    + list() : ?array
    + get() : ?object
    + delete() : string
  }

  class Repos  #Gold {
    + create() : ?object
    + list() : ?array
    + star() : string
    + unstar() : string
  }

  class Settings  #Gold {
    + get() : ?object
    + update() : ?array
  }

  class Starred  #Gold {
    + list() : ?array
    + check() : string
  }

  class Subscriptions  #Gold {
    + list() : ?array
  }

  class Teams  #Gold {
    + list() : ?array
  }

  class Times  #Gold {
    + list() : ?array
    + stopwatches() : ?array
  }

  class Tokens  #Gold {
    + list() : ?array
    + create() : ?object
    + delete() : string
  }
}


@enduml
```

## VDM Joomla Gitea Utilities
> namespace VDM\Joomla\Gitea\Utilities
```uml
@startuml

namespace VDM\Joomla\Gitea\Utilities #Olive {


  class Http << (F,LightGreen) >> #Green {
    + __construct()
    + setToken()
  }

  class Response << (F,LightGreen) >> #Green {
    + get() : mixed
    + get_() : mixed
    # body() : mixed
    # error() : string
  }

  class Uri << (F,LightGreen) >> #Green {
    - string $endpoint
    - string $version
    - string $url
    + __construct()
    + get() : JoomlaUri
    + api() : string
    + setUrl() : void
    - setEndpoint() : void
    - setVersion() : void
  }
}


@enduml
```

## VDM Joomla Gitea Admin Users
> namespace VDM\Joomla\Gitea\Admin\Users
```uml
@startuml

namespace VDM\Joomla\Gitea\Admin\Users #LightGreen {


  class Keys  #Gold {
    + add() : ?object
    + delete() : string
  }

  class Organization  #Gold {
    + create() : ?object
  }

  class Repository  #Gold {
    + create() : ?object
  }
}


@enduml
```

## VDM Joomla Gitea Issue Reactions
> namespace VDM\Joomla\Gitea\Issue\Reactions
```uml
@startuml

namespace VDM\Joomla\Gitea\Issue\Reactions #LightGreen {


  class Comment  #Gold {
    + list() : ?array
    + add() : ?object
    + remove() : string
  }
}


@enduml
```

## VDM Joomla Gitea Issue Repository
> namespace VDM\Joomla\Gitea\Issue\Repository
```uml
@startuml

namespace VDM\Joomla\Gitea\Issue\Repository #LightGreen {


  class Comments  #Gold {
    + list() : ?array
  }
}


@enduml
```

## VDM Joomla Gitea Organization Teams
> namespace VDM\Joomla\Gitea\Organization\Teams
```uml
@startuml

namespace VDM\Joomla\Gitea\Organization\Teams #LightGreen {


  class Members  #Gold {
    + list() : ?array
    + get() : ?object
    + add() : string
    + remove() : string
  }

  class Repository  #Gold {
    + list() : ?array
    + get() : ?object
    + add() : string
    + remove() : string
  }
}


@enduml
```

## VDM Joomla Gitea Repository Branch
> namespace VDM\Joomla\Gitea\Repository\Branch
```uml
@startuml

namespace VDM\Joomla\Gitea\Repository\Branch #LightGreen {


  class Protection  #Gold {
    + list() : ?array
    + create() : ?object
    + get() : ?object
    + delete() : string
    + edit() : ?object
  }
}


@enduml
```

## VDM Joomla Gitea Repository Hooks
> namespace VDM\Joomla\Gitea\Repository\Hooks
```uml
@startuml

namespace VDM\Joomla\Gitea\Repository\Hooks #LightGreen {


  class Git  #Gold {
    + list() : ?array
    + get() : ?object
    + delete() : string
    + edit() : ?object
  }
}


@enduml
```


---
```
     ██╗ ██████╗  ██████╗ ███╗   ███╗██╗      █████╗
     ██║██╔═══██╗██╔═══██╗████╗ ████║██║     ██╔══██╗
     ██║██║   ██║██║   ██║██╔████╔██║██║     ███████║
██   ██║██║   ██║██║   ██║██║╚██╔╝██║██║     ██╔══██║
╚█████╔╝╚██████╔╝╚██████╔╝██║ ╚═╝ ██║███████╗██║  ██║
 ╚════╝  ╚═════╝  ╚═════╝ ╚═╝     ╚═╝╚══════╝╚═╝  ╚═╝
 ██████╗ ██████╗ ███╗   ███╗██████╗  ██████╗ ███╗   ██╗███████╗███╗   ██╗████████╗
██╔════╝██╔═══██╗████╗ ████║██╔══██╗██╔═══██╗████╗  ██║██╔════╝████╗  ██║╚══██╔══╝
██║     ██║   ██║██╔████╔██║██████╔╝██║   ██║██╔██╗ ██║█████╗  ██╔██╗ ██║   ██║
██║     ██║   ██║██║╚██╔╝██║██╔═══╝ ██║   ██║██║╚██╗██║██╔══╝  ██║╚██╗██║   ██║
╚██████╗╚██████╔╝██║ ╚═╝ ██║██║     ╚██████╔╝██║ ╚████║███████╗██║ ╚████║   ██║
 ╚═════╝ ╚═════╝ ╚═╝     ╚═╝╚═╝      ╚═════╝ ╚═╝  ╚═══╝╚══════╝╚═╝  ╚═══╝   ╚═╝
██████╗ ██╗   ██╗██╗██╗     ██████╗ ███████╗██████╗
██╔══██╗██║   ██║██║██║     ██╔══██╗██╔════╝██╔══██╗
██████╔╝██║   ██║██║██║     ██║  ██║█████╗  ██████╔╝
██╔══██╗██║   ██║██║██║     ██║  ██║██╔══╝  ██╔══██╗
██████╔╝╚██████╔╝██║███████╗██████╔╝███████╗██║  ██║
╚═════╝  ╚═════╝ ╚═╝╚══════╝╚═════╝ ╚══════╝╚═╝  ╚═╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

