```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# abstract class Api (Details)
> namespace: **VDM\Joomla\Gitea\Abstraction**
```uml
@startuml
abstract Api  #Orange {
  # Http $http
  # Uri $uri
  # Response $response
  + __construct(Http $http, Uri $uri, ...)
  + load_(string $url, string $token) : void
}

note right of Api::__construct
  Constructor.

  since: 3.2.0
  
  arguments:
    Http $http
    Uri $uri
    Response $response
end note

note right of Api::load_
  Load/Reload API.

  since: 3.2.0
  return: void
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

